<%--
  Created by IntelliJ IDEA.
  User: user
  Date: 2019/8/19
  Time: 15:23
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
    <title>查看详情</title>
    <link rel="stylesheet" href="${ctxp}/static/plugin/assets/layui/css/layui.css">
    <link rel="stylesheet" href="${ctxp}/static/plugin/assets/common.css"/>
    <script type="text/javascript" src="${ctxp}/static/plugin/assets/jquery-3.2.1.min.js"></script>
    <script src="${ctxp}/static/plugin/assets/layui/layui.js"></script>
</head>
<style>
    .layui-input{
        height: 28px;
        margin-top: 6px;
        background: whitesmoke;
    }
    .layui-form-label {
        float: left;
        display: block;
        padding: 9px 15px;
        width: 100px;
        font-weight: 400;
        line-height: 20px;
        text-align: right;
    }
    .layui-table-view .layui-table {width:100%}
</style>
<body style="height: 100%">
<div class="layui-form-item" style="margin-top: 10px;">
    <div class="layui-inline">
        <label class="layui-form-label">工程名称</label>
        <div class="layui-input-inline">
            <input type="text" name="hcmc" lay-verify="" autocomplete="off" class="layui-input" readonly="readonly">
        </div>
    </div>
    <div class="layui-inline">
        <label class="layui-form-label">创建时间</label>
        <div class="layui-input-inline">
            <input type="text" name="beginName1" id="beginDate1" lay-verify="" readonly="readonly" placeholder="yyyy-MM-dd" autocomplete="off" class="layui-input">
        </div>
        <div class="layui-form-mid">-</div>
        <div class="layui-input-inline">
            <input type="text" name="endName1" id="endDate1" lay-verify="" readonly="readonly" placeholder="yyyy-MM-dd" autocomplete="off" class="layui-input">
        </div>
    </div>
</div>
<div style="margin: 20px;">
    <fieldset class="layui-elem-field layui-field-title">
        <legend style="font-size: 20px;">项目信息</legend>
    </fieldset>
    <table class="layui-hide" id="looktable" lay-filter="looktable"></table>
</div>
<script>
    layui.use(['table','form','layedit', 'laydate'], function(){
        var table = layui.table
            ,form = layui.form;
        form.render();
        table.render({
            elem: '#looktable'
            ,cols: [[
                {field:'xmmc',width:100,title:'项目名称'}
                ,{field:'sgdw',width:120,title:'施工单位'}
                ,{field:'xmlx',width:100,title:'项目类型'}
                ,{field:'op',align:'center',title:"操作",width:100,templet:function(d){
                        ////对操作进行初始化
                        var xml = "<a class='layui-btn layui-btn-xs' lay-event='update'>编辑</a>";
                        return xml;
                    }}
            ]]
            ,data:[
                {
                    "id":"1",
                    "xmmc": "wbs要素1",
                    "sgdw": "wbs识别码",
                    "xmlx":'比例'
                },
                {
                    "id":"2",
                    "xmmc": "wbs要素1",
                    "sgdw": "wbs识别码",
                    "xmlx":'比例'
                },
                {
                    "id":"1",
                    "xmmc": "wbs要素1",
                    "sgdw": "wbs识别码",
                    "xmlx":'比例'
                }
            ]
            ,page: true
        });
//         table.on('tool(looktable)', function(obj){
//             var data = obj.data;
//             //console.log(obj)
//             if(obj.event == 'update'){
// //		     alert(data.id);
//             }
//         });
    });
</script>
</body>
</html>
